DOXYPY(1)

NAME
doxypy - Python input filter for Doxygen

SYNOPSIS
doxypy [options] files...

DESCRIPTION
doxypy is an input filter for Doxygen. It reformats Python comments to conform to Doxygen documentation blocks. This makes it possible to use the Doxygen/Javadoc syntax inside of docstrings when writing code documentation and automatically generate API documentation out of it instead of being forced to use non-Python documentation blocks or to document code redundantly.

OPTIONS

-h, --help
    Show summary of options.

--version
    Show version of program.

--autobrief
    Use the docstring summary line as \brief description.

--debug
    Enable debug output on stderr.

SEE ALSO
doxygen(1)

AUTHOR
Philippe 'demod' Neumann <doxypy@demod.org>
Gina 'foosel' Häußge <gina@foosel.net>

This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (and may be used by others).